{ pkgs, config, ... }:

{
  users.users.nixremote = {                   # System User
    isNormalUser = true;
    extraGroups = [ "kvm" ];
    shell = pkgs.zsh;                       # Default shell
    uid = 1001;
#    initialPassword = "password95";
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILczsj4W1kFQaalFwaY+RJ4LEzNeFKD+itXB40Q2O59M nixremote@hades"
    ];
  };

  nix.settings.trusted-users = [
    "nixremote"
  ];

  services.nix-serve.secretKeyFile = config.age.secrets."keys/nixservepriv".path;

  age.secrets."keys/nixservepriv" = {
    file = ../../secrets/keys/nixservepriv.age;
    owner = "nixremote";
  };
}
